package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matters.model.vo.MattersPowerVo;
/**
* 行政权力实体对象
*
* @author zxfei
* @date 2022-03-30
*/

public class MattersPowerEntity extends MattersPowerVo {
    private static final long serialVersionUID = 1L;

    /**
    * 行政权力编号
    */
    private String powerCode;
    /**
    * 行政权力名称
    */
    private String name;



    public MattersPowerEntity(){}
    /**
    * 获取 行政权力编号
    * @return String
    */
    public String getPowerCode(){
        return powerCode;
    }
    /**
    * 设置 行政权力编号
    * @param powerCode
    */
    public void setPowerCode(String powerCode){
        this.powerCode = powerCode;
    }
    /**
    * 获取 行政权力名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 行政权力名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MattersPowerEntity) {
            MattersPowerEntity tmp = (MattersPowerEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",powerCode:").append(getPowerCode());
        sb.append(",name:").append(getName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.powerCode = null;

            this.name = null;
    }
}